- if failures.nil?
  = render "partials/data_not_available"
- elsif failures.empty?
  h6.green
    | Great, no failure found!
    i.fa.fa-fw.fa-thumbs-up
- else failures
    table.table.table-hover.dataTable[id="#{table_id}"]
      thead
        tr
          th Job
          th Build
          th Author
          th Detected Failures
          th Actions
      - if failures.size > 15
        tfoot
          th Job
          th Build
          th Author
          th Detected Failures
          th Actions

      tbody
        - failures.each do |f|
            tr
              td
                a[href=f.job_url]
                  = f.jenkins_status.name
              td
                a[href=f.log_url] = "##{f.build}"
              td
                - if f.author
                  a[href="https://github.com/#{f.author}"]
                    img.avatar_icon[src="https://github.com/#{f.author}.png?size=20"]
                    = f.author
              td
                ul.fa-ul.text-danger
                  - f.failures.split("\n").each do |reason|
                    li
                      i.fa-li.fa.fa-warning
                      = reason
              td
                ul.fa-ul
                  - f.actions.split("\n").each do |action|
                    li
                      i.fa-li.fa.fa-wrench
                      = action
    javascript:
      $(document).ready(function () {
        $('##{table_id}').DataTable({
          paging: false,
          order: [[ 0, "asc" ]]
        });
        // style the added search field
        $('input[type=search]').addClass('form-control');
      });
